<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
IEdmClearLocalCache Interface
See Also Members Example

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace : IEdmClearLocalCache Interface

Visual Basic
C#
C++/CLI

Removes specified checked-in files and folders from the local file vault view cache. Only files that are not referenced by checked-out files are cleared.

NOTE: Click the Members link, located near the top of the topic, to see this interface's methods and properties.

# Syntax

Visual Basic |
--- | ---

    Public Interface IEdmClearLocalCache

C# |
--- | ---

    public interface IEdmClearLocalCache

C++/CLI |
--- | ---

    public interface class IEdmClearLocalCache

# Example

Get File References for a File (C#)
Get File References for a File (VB.NET)

# Remarks

This interface:

- inherits from IDispatch. See IDispatch Interface (Automation).
- is extended by IEdmClearLocalCache2 which provides the option to not remove cached Toolbox Library parts.

This interface provides the same functionality as the Clear Local Cache command that you can run from the context menu of a folder in File Explorer.

To clear the local cache:

1. Access this interface by calling IEdmVault7::CreateUtility, passing EdmUtility.EdmUtil_ClearLocalCache as a parameter.
2. Call IEdmClearLocalCache::AddFileByPath or IEdmClearLocalCache::AddFolder one or more times, specifying the files and folders that you want to clear.
3. Call IEdmClearLocalCache::CommitClear to clear the local cache.

# Accessors

IEdmVault7::CreateUtility

# See Also

####

IEdmClearLocalCache Members
EPDM.Interop.epdm Namespace